Bio Radio SDK - Xamarin Android: GLNeuroTech.Devices.Common.IDeviceSearchUtility Interface Reference

| Bio Radio SDK - Xamarin Android

Public Member Functions | Events | List of all members
GLNeuroTech.Devices.Common.IDeviceSearchUtility Interface Reference

Interface that describes common functionality for discovering devices. More...

Inheritance diagram for GLNeuroTech.Devices.Common.IDeviceSearchUtility:

## Public Member Functions

void | StartDeviceScan ()
| Begins scanning for devices in the area and will raise the DeviceFoundEvent when a device is found. This method will continue to scan for devices until StopDeviceScan is called. More...
void | StopDeviceScan ()
| Stops scanning for devices. More...
List< BluetoothDeviceInfo > | FindBluetoothDevices ()
| Method will scan and return a list of devices found in the area More...
List< BluetoothDeviceInfo > | FindPairedBluetoothDevices ()
| Method will return a list of paired devices More...

## Events

EventHandler< DeviceFoundEventArgs > | DeviceFoundEvent
| Event raised when a device has been found after calling StartDeviceScan More...

## Detailed Description

Interface that describes common functionality for discovering devices.

## Member Function Documentation

## ◆ FindBluetoothDevices()

List<BluetoothDeviceInfo> GLNeuroTech.Devices.Common.IDeviceSearchUtility.FindBluetoothDevices | ( |  | ) |

Method will scan and return a list of devices found in the area

Returns

Implemented in CommonDeviceAPI.Android.BluetoothSearchUtility, and GLNeuroTech.Devices.Common.MockDeviceSearchUtility.

## ◆ FindPairedBluetoothDevices()

List<BluetoothDeviceInfo> GLNeuroTech.Devices.Common.IDeviceSearchUtility.FindPairedBluetoothDevices | ( |  | ) |

Method will return a list of paired devices

Returns

Implemented in CommonDeviceAPI.Android.BluetoothSearchUtility, and GLNeuroTech.Devices.Common.MockDeviceSearchUtility.

## ◆ StartDeviceScan()

void GLNeuroTech.Devices.Common.IDeviceSearchUtility.StartDeviceScan | ( |  | ) |

Begins scanning for devices in the area and will raise the DeviceFoundEvent when a device is found. This method will continue to scan for devices until StopDeviceScan is called.

Returns

Implemented in CommonDeviceAPI.Android.BluetoothSearchUtility, and GLNeuroTech.Devices.Common.MockDeviceSearchUtility.

## ◆ StopDeviceScan()

void GLNeuroTech.Devices.Common.IDeviceSearchUtility.StopDeviceScan | ( |  | ) |

Stops scanning for devices.

Returns

Implemented in CommonDeviceAPI.Android.BluetoothSearchUtility, and GLNeuroTech.Devices.Common.MockDeviceSearchUtility.

## Event Documentation

## ◆ DeviceFoundEvent

EventHandler<DeviceFoundEventArgs> GLNeuroTech.Devices.Common.IDeviceSearchUtility.DeviceFoundEvent

Event raised when a device has been found after calling StartDeviceScan

Returns